use std::env::args;
use std::fs::File;
use std::io::BufRead;
use std::io::BufReader;

fn main() {
    let path = args().nth(1).unwrap();
    let file = File::open(path).unwrap();

    let mut fish = [0; 9];
    let mut i = 0;

    for line in BufReader::new(file).lines() {
        let l = line.unwrap();
        let numbers = l.split(",").map(|p| p.parse::<u8>().unwrap());
        for a in numbers {
            fish[a as usize] += 1;
        }
    }

    for _ in 0..256 {
        fish[(i + 7) % 9] += fish[i];
        i = (i + 1) % 9;
    }

    print!("{}\n", fish.iter().sum::<i64>());
}
